| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csFixed16 Member List

This is the complete list of members for csFixed16, including all inherited members.

csFixed16() | csFixed16 | `[inline]`
csFixed16(const float f) | csFixed16 | `[inline]`
GetFixed() const | csFixed16 | `[inline]`
operator *(const csFixed16 &v1, float v2) | csFixed16 | `[friend]`
operator *(const csFixed16 &v1, int v2) | csFixed16 | `[friend]`
operator int() const | csFixed16 | `[inline]`
operator+=(const csFixed16 &x) | csFixed16 | `[inline]`
operator-(const csFixed16 &v1, const csFixed16 &v2) | csFixed16 | `[friend]`
operator-(float v1, const csFixed16 &v2) | csFixed16 | `[friend]`
operator-(const csFixed16 &v1, float v2) | csFixed16 | `[friend]`
operator=(const float f) | csFixed16 | `[inline]`
operator>>(const csFixed16 &v1, int n) | csFixed16 | `[friend]`